port generic and ixp4xx kernel patches to 2.6.27 (compiles except for iptables, but...
[openwrt/openwrt.git] / include / package-version-override.mk
1 PKG_VERSION_ORGINAL:=$(PKG_VERSION)
2
3 ifeq ($(CONFIG_$(PKG_NAME)_USE_OTHER_VERSION),y)
4 PKG_VERSION:= $(strip $(subst ",, $(CONFIG_$(PKG_NAME)_OTHER_VERSION)))
5 PKG_MD5SUM:=
6 PKG_SOURCE:=$(subst $(PKG_VERSION_ORGINAL),$(PKG_VERSION),$(PKG_SOURCE))
7 endif
8
9 define Package/$(PKG_NAME)/config
10 menu "overwrite package version"
11 depends on PACKAGE_$(PKG_NAME)
12 config $(PKG_NAME)_USE_OTHER_VERSION
13 depends on PACKAGE_$(PKG_NAME)
14 bool "Use other source version"
15 default n
16 config $(PKG_NAME)_OTHER_VERSION
17 depends on $(PKG_NAME)_USE_OTHER_VERSION
18 string "$(PKG_BASE_NAME) version as string (default version: $(PKG_VERSION_ORGINAL))"
19 default "$(PKG_VERSION_ORGINAL)"
20 endmenu
21 endef